Package: org.grails.transaction

## [Java] Class GrailsTransactionAttribute

- org.grails.transaction.GrailsTransactionAttribute

-     public class GrailsTransactionAttribute
      extends org.springframework.transaction.interceptor.RuleBasedTransactionAttribute

  Extended version of org.springframework.transaction.interceptor.RuleBasedTransactionAttribute that ensures all exception types are rolled back and allows inheritance of setRollbackOnly

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private boolean` | `inheritRollbackOnly` |
    `private static org.slf4j.Logger` | `log` |
    `private static long` | `serialVersionUID` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.transaction.interceptor.RuleBasedTransactionAttribute` | `PREFIX_ROLLBACK_RULE, PREFIX_COMMIT_RULE, PROPAGATION_REQUIRED, PROPAGATION_SUPPORTS, PROPAGATION_MANDATORY, PROPAGATION_REQUIRES_NEW, PROPAGATION_NOT_SUPPORTED, PROPAGATION_NEVER, PROPAGATION_NESTED, ISOLATION_DEFAULT, ISOLATION_READ_UNCOMMITTED, ISOLATION_READ_COMMITTED, ISOLATION_REPEATABLE_READ, ISOLATION_SERIALIZABLE, TIMEOUT_DEFAULT, PREFIX_PROPAGATION, PREFIX_ISOLATION, PREFIX_TIMEOUT, READ_ONLY_MARKER`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsTransactionAttribute ()`
    `GrailsTransactionAttribute (int propagationBehavior, java.util.List<org.springframework.transaction.interceptor.RollbackRuleAttribute> rollbackRules)`
    `GrailsTransactionAttribute (org.springframework.transaction.interceptor.TransactionAttribute other)`
    `GrailsTransactionAttribute (org.springframework.transaction.TransactionDefinition other)`
    `GrailsTransactionAttribute (GrailsTransactionAttribute other)`
    `GrailsTransactionAttribute (org.springframework.transaction.interceptor.RuleBasedTransactionAttribute other)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `isInheritRollbackOnly()`
    `` | `public boolean` | `rollbackOn(java.lang.Throwable ex)`
    `` | `public void` | `setInheritRollbackOnly(boolean inheritRollbackOnly)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.transaction.interceptor.RuleBasedTransactionAttribute` | `org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setRollbackRules(java.util.List), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getRollbackRules(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#rollbackOn(java.lang.Throwable), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#toString(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setQualifier(java.lang.String), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setLabels(java.util.Collection), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#resolveAttributeStrings(org.springframework.util.StringValueResolver), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setDescriptor(java.lang.String), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setTimeoutString(java.lang.String), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getTimeoutString(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getLabels(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getQualifier(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getDescriptor(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getPropagationBehavior(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getIsolationLevel(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setPropagationBehaviorName(java.lang.String), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setPropagationBehavior(int), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setIsolationLevelName(java.lang.String), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setIsolationLevel(int), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setTimeout(int), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getTimeout(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#equals(java.lang.Object), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#hashCode(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getName(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setReadOnly(boolean), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#setName(java.lang.String), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#isReadOnly(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#wait(long), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#wait(long, int), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#wait(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#getClass(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#notify(), org.springframework.transaction.interceptor.RuleBasedTransactionAttribute#notifyAll()`

- - ### Field Detail

    - #### private boolean inheritRollbackOnly

    - #### private static final org.slf4j.Logger log

    - #### private static final long serialVersionUID

  - ### Constructor Detail

    - #### public GrailsTransactionAttribute()

    - #### public GrailsTransactionAttribute(int propagationBehavior, java.util.List<org.springframework.transaction.interceptor.RollbackRuleAttribute> rollbackRules)

    - #### public GrailsTransactionAttribute(org.springframework.transaction.interceptor.TransactionAttribute other)

    - #### public GrailsTransactionAttribute(org.springframework.transaction.TransactionDefinition other)

    - #### public GrailsTransactionAttribute(GrailsTransactionAttribute other)

    - #### public GrailsTransactionAttribute(org.springframework.transaction.interceptor.RuleBasedTransactionAttribute other)

  - ### Method Detail

    - #### public boolean isInheritRollbackOnly()

    - #### @java.lang.Override public boolean rollbackOn(java.lang.Throwable ex)

    - #### public void setInheritRollbackOnly(boolean inheritRollbackOnly)